Examplary
  • Start for free
    Developer docs

    Update session comment

    PATCHhttps://api.examplary.ai/exams/{id}/sessions/{sessionId}/comments/{commentId}

    Edit the body of an existing session comment.

    Path parameters

    idstringrequired
    sessionIdstringrequired
    commentIdstringrequired

    Request body

    valuestring· max length: 10000
    rangearray any[]
    quotationstring· max length: 10000
    inReplyTostring· pattern: ^scom_.*
    statusstring

    Allowed values:openresolved

    visibilitystring

    Allowed values:publicprivate

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    Requirements

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the exams:write scope to be present.